.modalDialog {
        position: fixed;
        font-size: 12px;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background: rgba(0,0,0,0.8);
        z-index: 99999;
        opacity:0;
        -webkit-transition: opacity 400ms ease-in;
        -moz-transition: opacity 400ms ease-in;
        transition: opacity 400ms ease-in;
        pointer-events: none;
        overflow-y: initial !important
    }

    .modalDialog:target {
        opacity:1;
        pointer-events: auto;
    }
    
    .modalBody{
        height: 90%;
        overflow-y: auto;
        background: #ffffff;
        padding: 17px;
        border-radius: 10px; 
    }        

    .modalDialog > div {
        width: 60%; height:80%;
        position: relative;
        margin: 5% auto;
        padding: 20px;
        border-radius: 10px;
        background: #f1f1f1; 
    }
    
    .close {
        background: #f1f1f1;
        color: #000000;
        line-height: 45px;
        position: absolute;
        right: -12px;
        text-align: center;
        top: -10px;
        width: 44px;
        text-decoration: none;
        font-weight: bold;
        -webkit-border-radius: 24px;
        -moz-border-radius: 24px;
        border-radius: 24px;
        -moz-box-shadow: 1px 1px 3px #000;
        -webkit-box-shadow: 1px 1px 3px #000;
        box-shadow: 1px 1px 3px #000;
    }

    .close:hover { background: #860000; color: #ffffff;}